### Hierarchy

- ServiceTaskExtensions

## Index

### Constructors

- constructor

### Properties

- _method
- _module
- _namespace
- _parameter

### Accessors

- isValid
- method
- module
- namspace
- parameter

### Methods

- parseExtensions

## Constructors

### constructor

- new ServiceTaskExtensions(extionsions: any): ServiceTaskExtensions

- - Defined in execution/handler/service_task_extensions.ts:5

  #### Parameters

  - ##### extionsions: any

  #### Returns ServiceTaskExtensions

## Properties

### Private _method

_method: string = null

- Defined in execution/handler/service_task_extensions.ts:3

### Private _module

_module: string = null

- Defined in execution/handler/service_task_extensions.ts:2

### Private _namespace

_namespace: string = null

- Defined in execution/handler/service_task_extensions.ts:4

### Private _parameter

_parameter: string = null

- Defined in execution/handler/service_task_extensions.ts:5

## Accessors

### isValid

- get isValid(): boolean

- - Defined in execution/handler/service_task_extensions.ts:27

  #### Returns boolean

### method

- get method(): string

- - Defined in execution/handler/service_task_extensions.ts:15

  #### Returns string

### module

- get module(): string

- - Defined in execution/handler/service_task_extensions.ts:11

  #### Returns string

### namspace

- get namspace(): string

- - Defined in execution/handler/service_task_extensions.ts:19

  #### Returns string

### parameter

- get parameter(): string

- - Defined in execution/handler/service_task_extensions.ts:23

  #### Returns string

## Methods

### Private parseExtensions

- parseExtensions(extensions: any): void

- - Defined in execution/handler/service_task_extensions.ts:31

  #### Parameters

  - ##### extensions: any

  #### Returns void

Generated using TypeDoc